## org.apache.tools.ant.taskdefs.optional
Class Native2Ascii

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.MatchingTask
                        |
                        +--org.apache.tools.ant.taskdefs.optional.Native2Ascii

All Implemented Interfaces:
  SelectorContainer

public class Native2Ascii
extends MatchingTask

Converts files from native encodings to ASCII.

Since:
  Ant 1.2
Author:
  Drew Sudell, Stefan Bodewig

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Native2Ascii()`

Method Summary
`Mapper` `createMapper()` Defines the FileNameMapper to use (nested mapper element).
`void` `execute()` Execute the task
`void` `setDest(java.io.File destDir)` Set the destination directory to place converted files into.
`void` `setEncoding(java.lang.String encoding)` Set the encoding to translate to/from.
`void` `setExt(java.lang.String ext)` Set the extension which converted files should have.
`void` `setReverse(boolean reverse)` Flag the conversion to run in the reverse sense, that is Ascii to Native encoding.
`void` `setSrc(java.io.File srcDir)` Set the source directory in which to find files to convert.

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Native2Ascii

    public Native2Ascii()

Method Detail

### setReverse

    public void setReverse(boolean reverse)

  Flag the conversion to run in the reverse sense, that is Ascii to Native encoding.

  Parameters:
    `reverse` - True if the conversion is to be reversed, otherwise false;

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Set the encoding to translate to/from. If unset, the default encoding for the JVM is used.

  Parameters:
    `encoding` - String containing the name of the Native encoding to convert from or to.

### setSrc

    public void setSrc(java.io.File srcDir)

  Set the source directory in which to find files to convert.

  Parameters:
    `srcDir` - directory to find input file in.

### setDest

    public void setDest(java.io.File destDir)

  Set the destination directory to place converted files into.

  Parameters:
    `destDir` - directory to place output file into.

### setExt

    public void setExt(java.lang.String ext)

  Set the extension which converted files should have. If unset, files will not be renamed.

  Parameters:
    `ext` - File extension to use for converted files.

### createMapper

    public Mapper createMapper()
                        throws BuildException

  Defines the FileNameMapper to use (nested mapper element).

  Returns:
    the mapper to use for file name translations.
  Throws:
    `BuildException` - if more than one mapper is defined.

### execute

    public void execute()
                 throws BuildException

  Execute the task

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - is there is a problem in the task execution.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.